<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/col_f1f"
    android:orientation="vertical">

    <include
        android:id="@+id/title"
        layout="@layout/title_dark_bar" />


    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/mRecycle"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/mBottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:paddingBottom="@dimen/dp_10">

        <ImageView
            android:id="@+id/mAudio"
            android:layout_width="@dimen/dp_48"
            android:layout_height="@dimen/dp_48"
            android:clickable="true"
            android:scaleType="center"
            android:src="@mipmap/ic_audio"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="@+id/layout_talk_edit" />

        <LinearLayout
            android:id="@+id/layout_talk_edit"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_margin="@dimen/dp_10"
            android:orientation="horizontal"
            app:layout_constraintLeft_toRightOf="@+id/mAudio"
            app:layout_constraintRight_toLeftOf="@+id/mLinRight"
            app:layout_constraintTop_toTopOf="parent">

            <EditText
                android:id="@+id/mEdit"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@drawable/shape_edit_stroke"
                android:textSize="@dimen/dp_15" />

            <com.xty.base.view.AudioRecorderButton
                android:id="@+id/mPressTalk"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@drawable/shape_talk_stroke"
                android:gravity="center"
                android:minHeight="0dp"
                android:text="@string/press_talk"
                android:textColor="@color/black"
                android:textSize="@dimen/dp_15"
                android:visibility="gone" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/mLinRight"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_marginRight="@dimen/dp_10"
            android:orientation="horizontal"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/layout_talk_edit">

            <ImageView
                android:id="@+id/mImageMore"
                android:layout_width="@dimen/dp_30"
                android:layout_height="@dimen/dp_30"
                android:scaleType="center"
                android:src="@mipmap/ic_add_gray" />

            <TextView
                android:id="@+id/mSend"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/shape_chat_send_bg"
                android:paddingLeft="@dimen/dp_10"
                android:paddingTop="@dimen/dp_5"
                android:paddingRight="@dimen/dp_10"
                android:paddingBottom="@dimen/dp_5"
                android:text="发送"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_15"
                android:visibility="gone" />
        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>


    <View
        android:id="@+id/view"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_1"
        android:layout_marginLeft="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_10"
        android:background="@color/col_f1f"/>

    <LinearLayout
        android:id="@+id/mLinMore"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="@dimen/dp_10"
        android:background="@color/white"
        android:orientation="horizontal"
        android:visibility="gone">

        <TextView
            android:id="@+id/mPhoto"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:drawableTop="@mipmap/ic_chat_picture"
            android:drawablePadding="@dimen/dp_10"
            android:gravity="center"
            android:text="图片"
            android:textColor="@color/col_455"
            android:textSize="@dimen/dp_15" />

        <TextView
            android:id="@+id/mVideo"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:drawableTop="@mipmap/ic_chat_video"
            android:drawablePadding="@dimen/dp_10"
            android:gravity="center"
            android:text="拍摄"
            android:textColor="@color/col_455"
            android:textSize="@dimen/dp_15" />
    </LinearLayout>


</LinearLayout>